SuSE 11 Security Update : glib2 (SAT Patch Number 817)

Medium Nessus Plugin ID 41397

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

Large strings could lead to a heap overflow in the base64 encoding and decoding functions. Attackers could potentially exploit that to execute arbitrary code. (CVE-2008-4316)

Solution

Apply SAT patch number 817.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=449927

http://support.novell.com/security/cve/CVE-2008-4316.html

Plugin Details

Severity: Medium

ID: 41397

File Name: suse_11_glib2-090422.nasl

Version: Revision: 1.8

Type: local

Agent: unix

Published: 2009/09/24

Updated: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:glib2, p-cpe:/a:novell:suse_linux:11:glib2-devel, p-cpe:/a:novell:suse_linux:11:glib2-doc, p-cpe:/a:novell:suse_linux:11:glib2-lang, p-cpe:/a:novell:suse_linux:11:libgio-2_0-0, p-cpe:/a:novell:suse_linux:11:libgio-2_0-0-32bit, p-cpe:/a:novell:suse_linux:11:libgio-fam, p-cpe:/a:novell:suse_linux:11:libglib-2_0-0, p-cpe:/a:novell:suse_linux:11:libglib-2_0-0-32bit, p-cpe:/a:novell:suse_linux:11:libgmodule-2_0-0, p-cpe:/a:novell:suse_linux:11:libgmodule-2_0-0-32bit, p-cpe:/a:novell:suse_linux:11:libgobject-2_0-0, p-cpe:/a:novell:suse_linux:11:libgobject-2_0-0-32bit, p-cpe:/a:novell:suse_linux:11:libgthread-2_0-0, p-cpe:/a:novell:suse_linux:11:libgthread-2_0-0-32bit, cpe:/o:novell:suse_linux:11

Patch Publication Date: 2009/04/22

Reference Information

CVE: CVE-2008-4316

CWE: 189